#!/bin/bash

str="sddsplot -device=png,onwhite -output=APS_s_x.png  -title=APS -xLabel=s\(m\) -yLabel=x\(\$gm\$rm\) "
for str1 in 0 1;
do 
    for str2 in 0 1;
    do
        color=`rpnl "$str1 2 * $str2 + "`
 #       elegant test.ele -macro=str1=${str1},str2=${str2}
 #       mv Basic.clo APS_L11_${str1}_L12_${str2}.clo
 #       mv Basic.mag APS.mag
        str=${str}" -col=s,x APS_L11_${str1}_L12_${str2}.clo -graph=sym,type=$color,subtype=$color,connect=$color -factor=yMult=1e6 -legend=spec=${str1}_${str2} -filter=col,s,0,100  "
    done
done
str=${str}" -col=s,Profile APS.mag -factor=yMult=10 -filter=col,s,0,100 "
echo $str
$str

str="sddsplot -device=png,onwhite -output=APS_s_y.png  -title=APS -xLabel=s\(m\) -yLabel=y\(\$gm\$rm\) "
for str1 in 0 1;
do 
    for str2 in 0 1;
    do
        color=`rpnl "$str1 2 * $str2 + "`
 #       elegant test.ele -macro=str1=${str1},str2=${str2}
 #       mv Basic.clo APS_L11_${str1}_L12_${str2}.clo
 #       mv Basic.mag APS.mag
        str=${str}" -col=s,y APS_L11_${str1}_L12_${str2}.clo -graph=sym,type=$color,subtype=$color,connect=$color -factor=yMult=1e6 -legend=spec=${str1}_${str2} -filter=col,s,0,100  "
    done
done
str=${str}" -col=s,Profile APS.mag -factor=yMult=10 -filter=col,s,0,100 "
echo $str
$str

